package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum MusicGroupStatusEnum implements BaseEnum<String, MusicGroupStatusEnum> {
	DRAFT("DRAFT", "草稿"), AUDIT("AUDIT", "审核中"),
	AUDIT_FAILED("AUDIT_FAILED", "审核失败"), APPLY("APPLY", "报名中"),
	PAY("PAY", "缴费中"), PREPARE("PREPARE", "筹备中"),
	PROGRESS("PROGRESS", "进行中"), CANCELED("CANCELED", "取消"), PAUSE("PAUSE", "暂停");

	private String code;
	private String msg;

	MusicGroupStatusEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}

	public String getMsg() {
		return msg;
	}
}
